Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2752693003: chrome/android: Update toolbar drawing in native. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 1 week ago by Khushal
Modified:
6 months ago
CC:
chromium-reviews, oshima+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

chrome/android: Update toolbar drawing in native. Add a ToolbarResource to push relevant info for drawing the toolbar to native. This replaces the previous use of NinePatchResource for this. And some cleanup in ToolbarLayer. BUG=700454 Review-Url: https://codereview.chromium.org/2752693003 Cr-Commit-Position: refs/heads/master@{#458831} Committed: https://chromium.googlesource.com/chromium/src/+/51b27db46a139e5b7ae668cf22b23f5f434d05f7

Patch Set 1 #

Patch Set 2 : .. #

Patch Set 3 : fix math for tablets #

Total comments: 11

Patch Set 4 : rebase #

Patch Set 5 : addressed comments #

Patch Set 6 : make API private #

Patch Set 7 : webapp #

Patch Set 8 : .. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+282 lines, -81 lines) Patch
A chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java View 1 chunk +27 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/toolbar/ToolbarControlContainer.java View 1 2 3 3 chunks +14 lines, -9 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/webapps/WebappControlContainer.java View 1 2 3 4 5 6 7 3 chunks +23 lines, -0 lines 0 comments Download
M chrome/android/java_sources.gni View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/browser/android/chrome_jni_registrar.cc View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/android/compositor/layer/toolbar_layer.cc View 1 2 3 4 5 chunks +41 lines, -45 lines 0 comments Download
A chrome/browser/android/compositor/resources/resource_factory.h View 1 chunk +16 lines, -0 lines 0 comments Download
A chrome/browser/android/compositor/resources/resource_factory.cc View 1 chunk +39 lines, -0 lines 0 comments Download
A chrome/browser/android/compositor/resources/toolbar_resource.h View 1 2 3 4 1 chunk +38 lines, -0 lines 0 comments Download
A chrome/browser/android/compositor/resources/toolbar_resource.cc View 1 chunk +32 lines, -0 lines 0 comments Download
M ui/android/java/src/org/chromium/ui/resources/ResourceFactory.java View 1 2 3 4 5 1 chunk +1 line, -2 lines 0 comments Download
M ui/android/java/src/org/chromium/ui/resources/dynamics/ViewResourceAdapter.java View 1 2 3 3 chunks +5 lines, -24 lines 0 comments Download
M ui/android/resources/nine_patch_resource.h View 1 2 3 4 2 chunks +19 lines, -0 lines 0 comments Download
M ui/android/resources/nine_patch_resource.cc View 1 2 3 4 2 chunks +18 lines, -0 lines 0 comments Download
M ui/android/resources/resource.h View 1 1 chunk +1 line, -1 line 0 comments Download
Trybot results:  android_compile_dbg   ios-simulator-xcode-clang   ios-device-xcode-clang   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   android_cronet   ios-simulator   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_arm64_dbg_recipe   linux_android_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   android_clang_dbg_recipe   android_n5x_swarming_rel   win_clang   cast_shell_linux   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_rel_ng   ios-simulator   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   ios-device-xcode-clang   linux_android_rel_ng   cast_shell_linux   chromium_presubmit   win_clang   mac_chromium_compile_dbg_ng   android_clang_dbg_recipe   linux_chromium_chromeos_ozone_rel_ng   android_compile_dbg   ios-simulator-xcode-clang   linux_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_asan_rel_ng   android_cronet   ios-device   linux_chromium_rel_ng   android_n5x_swarming_rel 
Commit queue not available (can’t edit this change).

Messages

Total messages: 36 (18 generated)
Khushal
6 months, 1 week ago (2017-03-14 23:59:51 UTC) #2
Khushal
On 2017/03/14 23:59:51, Khushal wrote: pingy.
6 months ago (2017-03-16 19:04:15 UTC) #3
mdjones
https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java File chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java (right): https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java#newcode16 chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java:16: public static long createToolbarContainerResource( Are we going to do ...
6 months ago (2017-03-16 21:01:48 UTC) #4
David Trainor- moved to gerrit
https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java File chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java (right): https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java#newcode16 chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java:16: public static long createToolbarContainerResource( On 2017/03/16 21:01:47, mdjones wrote: ...
6 months ago (2017-03-17 07:41:22 UTC) #5
mdjones
https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java File chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java (right): https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java#newcode16 chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java:16: public static long createToolbarContainerResource( On 2017/03/17 07:41:22, David Trainor-ping ...
6 months ago (2017-03-17 15:38:10 UTC) #6
Khushal
https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java File chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java (right): https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java#newcode16 chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java:16: public static long createToolbarContainerResource( On 2017/03/17 15:38:10, mdjones wrote: ...
6 months ago (2017-03-17 23:02:58 UTC) #7
Khushal
https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java File chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java (right): https://codereview.chromium.org/2752693003/diff/40001/chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java#newcode16 chrome/android/java/src/org/chromium/chrome/browser/compositor/resources/ResourceFactory.java:16: public static long createToolbarContainerResource( On 2017/03/17 23:02:58, Khushal wrote: ...
6 months ago (2017-03-17 23:49:45 UTC) #8
mdjones
lgtm
6 months ago (2017-03-17 23:50:29 UTC) #9
David Trainor- moved to gerrit
lgtm
6 months ago (2017-03-20 15:30:37 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752693003/100001
6 months ago (2017-03-20 19:01:45 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/230973) android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, ...
6 months ago (2017-03-20 19:19:57 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752693003/100001
6 months ago (2017-03-20 19:47:16 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/253781)
6 months ago (2017-03-20 23:14:01 UTC) #19
Khushal
+dfalcantara, do you want to take a glance at webapps. The change should be a ...
6 months ago (2017-03-21 02:09:39 UTC) #25
gone
Yusuf has worked on the control container stuff more than I have. Redirecting.
6 months ago (2017-03-21 18:02:55 UTC) #29
Yusuf
lgtm
6 months ago (2017-03-22 17:25:03 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752693003/140001
6 months ago (2017-03-22 17:36:18 UTC) #33
commit-bot: I haz the power
6 months ago (2017-03-22 19:19:05 UTC) #36
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/51b27db46a139e5b7ae668cf22b2...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b